NAME := kube
DEPENDS_ON := \
	asdf \
	docker
CODE_EXTENSIONS := \
	ms-kubernetes-tools.vscode-kubernetes-tools

include $(CODY)
include $(SHARED)/code/code.mk

ifneq (1,$(IS_WSL))
DEPENDS_ON += openlens
endif
DEPENDS_ON += $(CODE_INSTALLER)

.PHONY: install
install: smart-sudo \
	$(HOME)/.asdf/shims/helm \
	$(HOME)/.asdf/shims/kops \
	$(HOME)/.asdf/shims/krew \
	$(HOME)/.asdf/shims/kubectl \
	$(HOME)/.asdf/shims/kubectx \
	$(HOME)/.asdf/shims/k9s \
	code-extensions
$(HOME)/.asdf/shims/helm:
	@asdf plugin add helm
	@asdf install helm latest
	@asdf global helm latest
$(HOME)/.asdf/shims/kops:
	@asdf plugin add kops
	@asdf install kops latest
	@asdf global kops latest
$(HOME)/.asdf/shims/krew:
	@asdf plugin add krew
	@asdf install krew latest
	@asdf global krew latest
$(HOME)/.asdf/shims/kubectl:
	@asdf plugin add kubectl
	@asdf install kubectl latest
	@asdf global kubectl latest
$(HOME)/.asdf/shims/kubectx:
	@asdf plugin add kubectx
	@asdf install kubectx latest
	@asdf global kubectx latest
$(HOME)/.asdf/shims/k9s:
	@asdf plugin add k9s
	@asdf install k9s latest
	@asdf global k9s latest

.PHONY: uninstall
uninstall:
